package com.ssj.service.conch.parents.request.version4;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class ApplyCourseTimeReq extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "courseId", value = "排课计划id", required = true)
    private String courseId;
    
    @ApiModelProperty(name = "oldPlanTime", value = "原计划时间 ，格式(yyyy-MM-dd HH:mm:ss)", required = true)
    private String oldPlanTime;

    @ApiModelProperty(name = "currentPlanTime", value = "调整时间 ，格式(yyyy-MM-dd HH:mm:ss)", required = true)
    private String currentPlanTime;
    
    @ApiModelProperty(name = "adjustReason", value = "调整理由", required = true)
    private String adjustReason;

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	public String getOldPlanTime() {
		return oldPlanTime;
	}

	public void setOldPlanTime(String oldPlanTime) {
		this.oldPlanTime = oldPlanTime;
	}

	public String getCurrentPlanTime() {
		return currentPlanTime;
	}

	public void setCurrentPlanTime(String currentPlanTime) {
		this.currentPlanTime = currentPlanTime;
	}

	public String getAdjustReason() {
		return adjustReason;
	}

	public void setAdjustReason(String adjustReason) {
		this.adjustReason = adjustReason;
	}
    
}
